package net.woodyfolsom.msproj.ann2;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;

public interface NeuralNetFilter {
	int getActualTrainingEpochs();

	int getInputSize();

	int getMaxTrainingEpochs();

	int getOutputSize();

	boolean load(InputStream input);

	boolean save(OutputStream output);

	void setMaxTrainingEpochs(int max);

	NNData compute(NNDataPair input);

	void learn(List<NNDataPair> trainingSet);
}